Alert Rule Incidents - Get
Gets an incident associated to an alert rule
GET https://management.azure.com/subscriptions/{subscriptionId}/resourcegroups/{resourceGroupName}/providers/microsoft.insights/alertrules/{ruleName}/incidents/{incidentName}?api-version=2016-03-01
URI Parameters
| Name | In | Required | Type | Description |
|---|---|---|---|---|
|
incident
|
path | True |
string |
The name of the incident to retrieve. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
The name of the resource group. The name is case insensitive. |
|
rule
|
path | True |
string |
The name of the rule. |
|
subscription
|
path | True |
string minLength: 1 |
The ID of the target subscription. |
|
api-version
|
query | True |
string minLength: 1 |
The API version to use for this operation. |
Responses
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure operation completed successfully. |
|
| Other Status Codes |
An unexpected error response. |
Security
azure_auth
Azure Active Directory OAuth2 Flow.
Type:
oauth2
Flow:
implicit
Authorization URL:
https://login.microsoftonline.com/common/oauth2/authorize
Scopes
| Name | Description |
|---|---|
| user_impersonation | impersonate your user account |
Examples
Get a single alert rule incident
Sample request
GET https://management.azure.com/subscriptions/b67f7fec-69fc-4974-9099-a26bd6ffeda3/resourcegroups/Rac46PostSwapRG/providers/microsoft.insights/alertrules/myRuleName/incidents/Website_started?api-version=2016-03-01
Sample response
{
"name": "Website_started",
"activatedTime": "2017-09-13T15:45:26.9792776Z",
"isActive": true,
"resolvedTime": "2017-09-13T22:14:28.9792776Z",
"ruleName": "myRuleName"
}
Definitions
| Name | Description |
|---|---|
| Incident |
An alert incident indicates the activation status of an alert rule. |
|
Microsoft. |
Describes the format of Error response. |
Incident
An alert incident indicates the activation status of an alert rule.
| Name | Type | Description |
|---|---|---|
| activatedTime |
string (date-time) |
The time at which the incident was activated in ISO8601 format. |
| isActive |
boolean |
A boolean to indicate whether the incident is active or resolved. |
| name |
string |
Incident name. |
| resolvedTime |
string (date-time) |
The time at which the incident was resolved in ISO8601 format. If null, it means the incident is still active. |
| ruleName |
string |
Rule name that is associated with the incident. |
Microsoft.Common.ErrorResponse
Describes the format of Error response.
| Name | Type | Description |
|---|---|---|
| code |
string |
Error code |
| message |
string |
Error message indicating why the operation failed. |